<template>
   <b-container>
    <h5 class="text-second mb-3 mt-3"><b-icon icon="bookmark-heart"></b-icon> &nbsp; Etiquettes</h5>

    <FormTextInput v-bind:label="'Texte'"
      v-model="textStyle.text"
      :placeholder="textStyle.baseStyle.text" cols="7" md="7">
      <b-col cols="1" align-self="end" v-if="layer.layerProperties.length > 0" class="m-0 p-0">
        <b-dropdown text="" class="m-md-2">
        <b-dropdown-item v-for="(field, index) of layer.layerProperties" @click="addField(field)"
          :key="index">{{field.name}}</b-dropdown-item>
      </b-dropdown>
      </b-col>
    </FormTextInput>

    <!--<FormTextInput v-bind:label="'Police'"
    v-model="textStyle.text" :placeholder="textStyle.baseStyle.text"/>-->
    <FormTextInput v-bind:label="'Taille'"
    v-model="textStyle.textFontSize" :placeholder="textStyle.baseStyle.textFontSize"/>
    <FormTextInput v-bind:label="'Couleur du Texte'"  :colorPicker="true"
    v-model="textStyle.textFillColor" :placeholder="textStyle.baseStyle.textFillColor"/>
    <FormTextInput v-bind:label="'Couleur de Fond'"  :colorPicker="true"
    v-model="textStyle.textBackGroundFillColor"
    :placeholder="textStyle.baseStyle.textBackGroundFillColor"/>
    <FormTextInput v-bind:label="'Marge autour du texte'"
    v-model="textStyle.padding"
    :placeholder="textStyle.baseStyle.padding"/>

   </b-container>
</template>

<script lang="ts">
/* eslint-disable class-methods-use-this */
/* eslint-disable @typescript-eslint/explicit-module-boundary-types */
import Vue from 'vue';
import FormTextInput from '@/components/shared/FormTextInput.vue';
import TextStyle from '@/models/map-context/style/TextStyle';
import Component from 'vue-class-component';
import LayerConfig from '@/models/map-context/LayerConfig';

@Component({
  props: {
    textStyle: TextStyle,
    layer: LayerConfig,
  },
  components: {
    FormTextInput,
  },
})
export default class TexteStyleDefinition extends Vue {
  textStyle!:TextStyle;

  layer!:LayerConfig;

  positionList=['center', 'end', 'left', 'right', 'start'];

  addField(field:any) {
    console.log('field');
    this.textStyle.text = `{${field.name}}`;
  }
}
</script>

<style scoped lang="less">

</style>
